#
# This file is part of Zaplet
# Copyright 1999 Adam Feuer <adamf@pobox.com>
#
# Zaplet is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Zaplet is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Zaplet; see the file COPYING-Zaplet. If not, write to the
# Free Software Foundation, Inc.,
# 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
#

# Costas:
# Slightly changed to use stderr instead of stdout

RCS_ID =  '$Id: debug.py,v 1.2 1999/09/05 21:30:02 adamf Exp $'

from types import *
from sys import stderr

debuglevel = 0

def mdebug(level,message):
    if (level < debuglevel):
        if type(message) == StringType :
            stderr.write(message + "\n")
        elif type(message) == IntType:
            stderr.write(`message` + "\n")
        elif type(message) == ListType:
            for item in message:
            	stderr.write(`item` + "\n")
            stderr.write("\n")
        elif type(message) == TupleType:
            for item in message:
            	stderr.write(`item` + "\n")
            stderr.write("\n")
        else:
            pass
        stderr.flush()

